> For the complete documentation index, see [llms.txt](https://developers.laws.africa/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.laws.africa/content-api/reference/changelog.md).

# Changelog

{% hint style="info" %}
Version V2 of the API is deprecated and will be disabled during 2024. Please migrate to V3 of the API.
{% endhint %}

## New in V3

* The `/v3/taxonomy-topics/<slug>/work-expressions` URL is new. It lists work expressions under a taxonomy topic.

## Differences between V2 and V3

There are only minor changes between V2 and V3 of the Content API.

* In V3, the `commencements` field for work expressions is removed and is available at its own URL `/v3/<frbr-uri>/commencements.json` . This was done for performance reasons because for some works `commencements` is very large, but the data is not always used.
* The taxonomy topics URL has moved from `/v2/taxonomy_topics` in V2 to `/v3/taxonomy-topics` in V3.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.laws.africa/content-api/reference/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
